<map version="0.7.1">
<node TEXT="Ship-Simu Ship-Simulation">
<font NAME="SansSerif" BOLD="true" SIZE="18"/>
<node TEXT="Browser-Game" POSITION="right">
<font NAME="SansSerif" BOLD="true" SIZE="16"/>
<icon BUILTIN="messagebox_warning"/>
<node TEXT="Tick-based simulation">
<node TEXT="Cronological job (cron)">
<node TEXT="Addional requirement for installation"/>
</node>
</node>
<node TEXT="Click-based simulation">
<node TEXT="User clicks a button, action performed"/>
</node>
<node TEXT="Pseudo-3D graphics">
<node TEXT="Still graphics">
<node TEXT="Different ships">
<node TEXT="Passenger ship"/>
<node TEXT="Oil tanker"/>
<node TEXT="Container ship"/>
<node TEXT="Misc small ships"/>
</node>
<node TEXT="Buildings">
<node TEXT="Shipyard"/>
<node TEXT="Dry dock"/>
<node TEXT="Terminal building"/>
</node>
<node TEXT="Vehicles">
<node TEXT="Container carrier"/>
<node TEXT="Crane"/>
</node>
<node TEXT="All pics should be self-shooted">
<node TEXT="This avoids copyright conflicts"/>
<node TEXT="The requested buildings/vehicles must be found in reality"/>
</node>
</node>
<node TEXT="Slightly moved graphics (GIF)">
<node TEXT="Water surface"/>
<node TEXT="Sky texture"/>
</node>
</node>
<node TEXT="Fully XHTML 1.0">
<node TEXT="Latest Internet standard"/>
<node TEXT="Older browsers will make lesser trouble"/>
<node TEXT="Should validate with the W3C HTML Validator">
<node LINK="http://validator.w3.org" TEXT="http://validator.w3.org">
<icon BUILTIN="attach"/>
</node>
</node>
</node>
<node TEXT="Design is CSS-based">
<font NAME="SansSerif" SIZE="12"/>
<node TEXT="Themes are possible"/>
</node>
<node TEXT="Nice AJAX features">
<icon BUILTIN="idea"/>
<icon BUILTIN="desktop_new"/>
</node>
<node TEXT="News on the front page (home)">
<node TEXT="The news source can be choosen from different">
<node TEXT="Previously typed and stored in database"/>
<node TEXT="Local XML files">
<node TEXT="Hint: Created by external generators">
<font NAME="SansSerif" SIZE="12"/>
</node>
</node>
<node TEXT="Remote XMLs like RSS feeds"/>
</node>
<node TEXT="The typer can choose a category">
<node TEXT="New categories can be suggested by the typer"/>
<node TEXT="An admin can create new categories"/>
</node>
<node TEXT="Comments are allowable">
<node TEXT="Logged-in users"/>
<node TEXT="Guests as well">
<icon BUILTIN="clanbomber"/>
<node TEXT="Secured with CAPTCHA">
<icon BUILTIN="messagebox_warning"/>
</node>
</node>
</node>
<node TEXT="One object for all news should be fine">
<node TEXT="Do not use one object per news entry!">
<icon BUILTIN="clanbomber"/>
<icon BUILTIN="stop"/>
</node>
<node TEXT="The object receives a &quot;Requestable&quot; object">
<node TEXT="Obtain page number and sent comment data from it"/>
</node>
</node>
</node>
<node TEXT="Strict coding guidelines for better PHP code">
<font NAME="SansSerif" BOLD="true" SIZE="14"/>
<icon BUILTIN="xmag"/>
<node TEXT="General code structure">
<font NAME="SansSerif" BOLD="true" SIZE="12"/>
<icon BUILTIN="messagebox_warning"/>
<node TEXT="Fully object-oriented"/>
<node TEXT="Use of different but practical design patterns"/>
</node>
<node TEXT="Documentation">
<font NAME="SansSerif" BOLD="true" SIZE="12"/>
<node TEXT="In-line documentation">
<node TEXT="Script header with full copyright and license as requested by GNU GPL 3"/>
<node TEXT="Method headers with Doxygen compatible tags"/>
<node TEXT="Comments above single lines for better understanding what is happening"/>
</node>
<node TEXT="Files in directory &quot;docs&quot;">
<node TEXT="COPYING*"/>
<node TEXT="Conception"/>
<node TEXT="NEWS"/>
<node TEXT="README"/>
<node TEXT="ArgoUML diagram"/>
<node TEXT="FreeMind document"/>
<node TEXT="THANKS"/>
<node TEXT="minmap_yyyymmdd.html"/>
</node>
</node>
<node TEXT="Folding of the code">
<font NAME="SansSerif" BOLD="true" SIZE="12"/>
</node>
<node TEXT="Tabs and spaces">
<font NAME="SansSerif" BOLD="true" SIZE="12"/>
</node>
</node>
</node>
<node TEXT="How does a shipping company work?" POSITION="left">
<font NAME="SansSerif" BOLD="true" SIZE="16"/>
<icon BUILTIN="messagebox_warning"/>
<node TEXT="Start as a founder by selecting a harbor">
<cloud/>
<node TEXT="Construct neccessary buildings">
<node TEXT="Make contract with construction companies"/>
</node>
<node TEXT="Order ship parts">
<node TEXT="Fron your partners"/>
<node TEXT="On global market"/>
</node>
<node TEXT="Make contracts with other companies">
<node TEXT="Construct ships for your partner"/>
<node TEXT="Drive constructed ships by your partner"/>
</node>
<node TEXT="Build ship parts and trade them"/>
<node TEXT="Become CEO and manage your company">
<node TEXT="Nominate department managers"/>
<node TEXT="Recruit new employees"/>
<node TEXT="Pay salery to your employees"/>
</node>
<node TEXT="Let other gamer manage your company"/>
<node TEXT="Compare prices">
<node TEXT="Make a purchase computation system"/>
</node>
<node TEXT="Manage a journey"/>
</node>
<node TEXT="Or start as an employee">
<cloud/>
<node TEXT="Start as a simple sailor">
<node TEXT="And end up as a captain">
<node TEXT="Control your ship (depends on client)"/>
</node>
</node>
<node TEXT="Or start as a shipbuilder">
<node TEXT="Repair ships">
<node TEXT="Renew the painting"/>
<node TEXT="Fix broken things"/>
</node>
<node TEXT="Build up new ships"/>
</node>
<node TEXT="As an officer">
<icon BUILTIN="idea"/>
<icon BUILTIN="help"/>
</node>
<node TEXT="As a cleaner"/>
</node>
<node TEXT="Create a board of managers">
<icon BUILTIN="idea"/>
<icon BUILTIN="help"/>
<node TEXT="Only for bigger comanpies"/>
</node>
<node TEXT="Design your own ships">
<node TEXT="From templates (default ships)"/>
<node TEXT="Or your complete freely designed layout"/>
</node>
<node TEXT="Ride constructed ships">
<node TEXT="Make sail plans"/>
<node TEXT="Transportate cargo or humans">
<node TEXT="Make your passengers happy"/>
<node TEXT="Load containers and bring them to other harbors"/>
<node TEXT="Transportate oil from ricks to the refineries"/>
</node>
<node TEXT="Depends on used client"/>
</node>
<node TEXT="Earn a lot (virtual/real) money">
<node TEXT="Sell a journey"/>
<node TEXT="Trade with goods"/>
<node TEXT="Construct ships for other companies"/>
</node>
<node TEXT="Play as a passenger">
<node TEXT="Order a jorney to your desired destionation"/>
</node>
</node>
<node TEXT="Multi-Player Mode" POSITION="right">
<font NAME="SansSerif" BOLD="true" SIZE="16"/>
<icon BUILTIN="messagebox_warning"/>
<node TEXT="Networked over hubs"/>
<node TEXT="Big map which holds all harbors">
<node TEXT="Seperated into small maps to cluster the load over the network"/>
</node>
</node>
<node TEXT="Java client" POSITION="left">
<cloud/>
<icon BUILTIN="idea"/>
<node TEXT="Real-time simulation"/>
<node TEXT="OpenGL (3D Graphics)">
<node TEXT="JOGL"/>
</node>
<node TEXT="OpenAL (3D sound)"/>
</node>
<node TEXT="&quot;Faked&quot; Single-Player" POSITION="right">
<node TEXT="Locally installed version"/>
<node TEXT="Does not connect to other hubs"/>
<node TEXT="&quot;Save games&quot; should be incompatible with MP mode">
<node TEXT="Avoids cheating"/>
</node>
</node>
<node TEXT="Sand-Box Mode" POSITION="right">
<node TEXT="The player can test the game">
<node TEXT="Some people like to &quot;explore&quot; the game"/>
<node TEXT="Or just wanna have a look"/>
</node>
<node TEXT="There are no competitors">
<font NAME="SansSerif" SIZE="12"/>
</node>
</node>
<node TEXT="Modern-epoche game" POSITION="left">
<node TEXT="Age: 1950+"/>
<node TEXT="The abstraction level is kept low"/>
</node>
<node TEXT="License" POSITION="left">
<node TEXT="The game">
<node TEXT="Ship-Simu is licensed under the GNU GPL 3 or any newer version">
<node TEXT="See docs/COPYING.software"/>
</node>
</node>
<node TEXT="This document">
<node TEXT="This mind-map is licensed under the GNU FDL 1.2 or any newer version">
<node TEXT="See docs/COPYING.documents"/>
</node>
</node>
</node>
<node TEXT="Data exchange protocol" POSITION="right">
<node TEXT="Default is an own small format">
<node TEXT="Reduces traffic between servers"/>
</node>
<node TEXT="Easy rewriteable to e.g. XML">
<node TEXT="Other clients (Flash) can also connect"/>
</node>
<node TEXT="Java and browser client can play together"/>
</node>
<node TEXT="Optional Pillory" POSITION="left">
<node TEXT="To make e.g. nazi activity public"/>
<node TEXT="Shall keep bad players away"/>
<node TEXT="Requires some &quot;game-moderator&quot; access level to manage">
<node TEXT="The moderator shall have an extra flag e.g. &quot;pillory_accessable&quot;"/>
</node>
<node TEXT="Players, companies et cetera should be lockable">
<node TEXT="The moderator can choose wether to lock with pillory entry or just locking down"/>
</node>
</node>
<node LINK="http://www.ship-simu.org" TEXT="http://www.ship-simu.org" POSITION="right">
<icon BUILTIN="attach"/>
</node>
</node>
</map>
